<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('roomtypelogo') }}
        </h1>

      </div>
    </div>
    <div class="container-fuild">
      <Header />
      <ol id="topicPath">
        <li style="margin: -32px 0px 0px 274px">
          <a href="#" style=" width: 116px;">{{ i18ntext.lngText('roomtypelogo') }}</a>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <!--#contents -->
        <div class="search-box">
          <div class="search-box-title" id="Bars">
            <div id="bar" style="padding-left: 0;">


              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"> </i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/room_type">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-university" aria-hidden="true"></i>
                      {{ i18ntext.lngText('room_type') }}
                    </a>
                  </router-link>
                </li>

                <li>
                  <router-link to="/room_furniture">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-hourglass-half" aria-hidden="true"></i>
                      {{ i18ntext.lngText('room_furniture') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/booking_line">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-life-ring" aria-hidden="true"></i>
                      {{ i18ntext.lngText('booking_line') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/bookingone">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">

                      <i class="fa fa-envelope" aria-hidden="true"></i>
                      {{ i18ntext.lngText('bookingone') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/furniture">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">

                      <i class="fa fa-bed" aria-hidden="true"></i>
                      {{ i18ntext.lngText('furniture') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/room_price">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">

                      <i class="fa fa-university" aria-hidden="true"></i>
                      {{ i18ntext.lngText('room_price') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                        margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                        margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                        margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                        margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                        margin-right: 0;width: 100%;">
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock-alert') }}
                  <span style="
                        background-color: red;
                        border-radius: 5px;
                        padding: 3px;
                        box-shadow: 1px 1px;
                        color: #333;">
                    {{ stockcount }} {{ i18ntext.lngText('item') }}
                  </span>
                </a>
              </router-link>
              <router-link to="/ex_alert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                        margin-right: 0;width: 100%;">
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText('expire-alert1') }}
                  <span style="
                        background-color: red;
                        border-radius: 5px;
                        padding: 3px;
                        box-shadow: 1px 1px;
                        color: #333;">
                    {{ count_expire }} {{ i18ntext.lngText('item') }}
                  </span>
                </a>
              </router-link>

            </div>
            <div id="right" style="">
              <a class="btn-radius bt-pn btn btn-sm" data-bs-toggle="dropdown" aria-expanded="false"
                style="float: right; color: #f8f5b4; margin-top: -2px; width:79px">
                <i class="fas fa-plus" style="padding-right: 5px"> </i>
                {{ i18ntext.lngText('menu') }}
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a class="dropdown-item btn btn-primary" data-bs-toggle="modal" data-bs-target="#staticboomId"
                    tabindex="10028"><i class="fa fa-print" aria-hidden="true"></i>
                    {{ i18ntext.lngText('print') }}
                  </a>
                </li>
                <li>
                  <a @click="importSheet()" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#excelCategory"
                    tabindex="10028" href="#"><i class="fas fa-file-excel"></i>
                    {{ i18ntext.lngText('import') }}
                  </a>
                </li>
                <li>
                  <a @click="exportSheet()" class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                    data-bs-target="#excelCategory" tabindex="10028"><i class="fas fa-file-excel"></i>
                    {{ i18ntext.lngText('export') }}
                  </a>
                </li>
                <li>
                  <a @click="BackToHistory()" class="dropdown-item btn btn-primary" tabindex="10028">
                    <i class="fa fa-print" aria-hidden="true"></i>
                    {{ i18ntext.lngText('toproduct') }}
                  </a>
                </li>
              </ul>
            </div>
          </div>
          <input autocomplete="off" id="search" name="search" type="hidden" value="1" />
          <div class="search-box-content">
            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="tbl_search" id="hover-table">
              <tbody>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('roomtypelogo') }}</th>
                  <td width="90%">
                    <input autocomplete="off" class="string_zen_kana clear_text text" name="UnitCode" maxlength="50"
                      v-model="form.roomtype" size="50" type="text" tabindex="10001" style="width: 359px" />
                    <p v-if="errors.unit_code" style="font-size: 10px; color: red">
                      {{ i18ntext.lngText('roomtypelogo') }}
                    </p>
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('description') }}</th>
                  <td width="90%">
                    <input autocomplete="off" class="string_zen_kana clear_text text" maxlength="50" name="Description"
                      v-model="form.description" size="50" type="text" tabindex="10001" style="width: 359px" />
                  </td>
                </tr>

              </tbody>
            </table>

            <div class="search-box-footer">
              <div v-if="btnback == true" class="button type2" id="uniform-undefined" @click="btnBack()">
                <span><i class="fa fa-arrow-left" style="margin-right: 7px"></i>{{ i18ntext.lngText('back') }}</span>
              </div>
              <div v-if="btnSearch == 'Search'" class="button type2" id="uniform-undefined" @click="btn_Search()">
                <span><i class="fa fa-search" aria-hidden="true" style="margin-right: 7px"></i>
                  {{ i18ntext.lngText('search') }}

                </span>
              </div>
              <div v-if="btnSearch == 'Delete'" class="button type2" id="uniform-undefined" @click="btnDelete()">
                <!-- <span><i class="fa fa-trash" aria-hidden="true"></i> {{ i18ntext.lngText('Delete') }}<input
                    autocomplete="off" type="button" style="opacity: 0; width: 140px" />
                </span> -->
              </div>
              <div v-if="btncheckEdit == 'Save'" class="button type2" id="uniform-undefined" data-bs-toggle="modal"
                data-bs-target="#comfirmcreate">
                <span><i class="fas fa-file-import" style="margin-right: 7px"></i>{{ i18ntext.lngText('save') }}</span>
                <input autocomplete="off" type="button" value="clear" class="type2" @click="clear()"
                  style="opacity: 0; width: 63px" tabindex="10026" />
              </div>
              <div v-if="btncheckEdit == 'Update'" class="button type2" id="uniform-undefined" data-bs-toggle="modal"
                data-bs-target="#comfirmcreate">
                <span><i class="fas fa-file-import" style="margin-right: 7px"></i>{{ i18ntext.lngText('update') }}</span>
                <input autocomplete="off" type="button" value="clear" class="type2" @click="clear()"
                  style="opacity: 0; width: 63px" tabindex="10026" />
              </div>
              <span class="marker"></span>
            </div>
          </div>

          <div class="box" style="margin-top: 25px">
            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="table table-striped br-table">
              <thead>
                <tr class="header-table">
                  <th width="3%">{{ i18ntext.lngText('no') }}</th>
                  <th width="12%">{{ i18ntext.lngText('roomtypelogo') }}</th>
                  <th width="25%">{{ i18ntext.lngText('description') }}</th>
                  <th width="12%"></th>
                </tr>
              </thead>
              <tbody>

                <tr v-for="(item, index) in serails" :key="index" class="cate-td">
                  <td width="3%" style="text-align: center;">{{ index + 1 }}</td>
                  <td width="12%" style="text-align: center;">{{ item.roomtype }}</td>
                  <td width="25%" style="text-align: center;">{{ item.description }}</td>
                  <td width="12%" class="text-center">
                    <div class="button" id="uniform-undefined">
                      <span><i class="fa fa-edit"></i> {{ i18ntext.lngText('select') }}<input autocomplete="off"
                          type="button" @click="btnEdit(item)" style="opacity: 0; width: 140px" />
                      </span>
                    </div>
                    <div class="button type2" id="uniform-undefined" data-bs-toggle="modal" data-bs-target="#serialsave"
                      @click="SeleteDelete(item)">
                      <span><input autocomplete="off" type="button" class="type2" tabindex="10025" value="display"
                          style="opacity: 0; width: 54px" /><i class="fa fa-trash" aria-hidden="true"></i> {{
                            i18ntext.lngText('Delete') }}</span>
                    </div>
                  </td>
                </tr>
              </tbody>
              <div class="modal fade ui-modal" id="serialsave" data-bs-backdrop="static" data-bs-keyboard="false"
                tabindex="-1" aria-labelledby="clearconfirm" aria-hidden="true">
                <div class="modal-dialog smallpopup" id="nonbackgroundboom">
                  <div class="modal-content ui-dialog" style="box-shadow: none">
                    <div class="ui-widget-header">
                      <h5 class="modal-title" id="exampleModalLabel">
                        <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">{{
                          i18ntext.lngText('confirm_message') }}</span>
                      </h5>

                    </div>
                    <div class="ui-dialog-content" style="background-color: #fff">
                      <div class="modal-body" style="font-size: 15px">
                        {{ i18ntext.lngText('mes-del') }} {{ viewID }} ?
                      </div>
                      <div class="modal-footer">
                        <div class="button type2" id="uniform-undefined" data-bs-dismiss="modal">
                          <span>No<input autocomplete="off" type="button" class="type2" tabindex="10008" value="No"
                              style="width: 89px; opacity: 0" />
                          </span>
                        </div>
                        <div class="button type2" data-bs-dismiss="modal" @click="DeletePro()">
                          <span>{{ i18ntext.lngText('yes') }}</span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </table>

          </div>
          <!-- save comfirm  -->
          <div class="modal fade ui-modal" id="comfirmcreate" data-bs-backdrop="static" data-bs-keyboard="false"
            tabindex="-1" aria-labelledby="clearconfirmlabel" aria-hidden="true">
            <div class="modal-dialog smallpopup" id="nonbackgroundboom">
              <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                  <h5 class="modal-title" id="exampleModalLabel">
                    <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">{{
                      i18ntext.lngText('comfirm_message') }}</span>
                  </h5>
                  <span class="ui-icon ui-icon-closethick btn-cancel" data-bs-dismiss="modal" aria-label="Close"></span>
                </div>
                <div class="ui-dialog-content" style="background-color: #fff">
                  <div class="modal-body">{{ i18ntext.lngText('comfirm_message1') }}</div>
                  <div class="modal-footer">
                    <div class="button type2" id="uniform-undefined" data-bs-dismiss="modal" @click="cancel()">
                      <span>{{ i18ntext.lngText('no1') }}<input autocomplete="off" type="button" class="type2"
                          tabindex="10008" value="No" style="width: 89px; opacity: 0" />
                      </span>
                    </div>
                    <div class="button type2" @click="btnSelect()" data-bs-dismiss="modal">
                      <span>{{ i18ntext.lngText('yes') }}</span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- print -->
  <div class="modal fade ui-modal" id="staticboomId" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText('print') }}
          </h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div class="ui-dialog-content">
          <div class="card">
            <div class="card-body print-size">
              <div class="mt-3 " id="purchaseorder" style="height: auto !important;">
                <div style="padding: 0 50px 0 50px">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText('unit-report') }}</h3>
                    </div>
                  </div>

                  <div class="col-container">
                    <div class="col1" style="width: 55%">
                      <p class="p-bg font-size p-pad">{{ i18ntext.lngText('com-name') }}</p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('name') }} :</span>
                        <span id="fon">{{ company.company_name }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('phone') }} :</span>
                        <span id="fon">{{ company.company_Phone }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('email') }} :</span>
                        <span id="fon">{{ company.company_Email }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('address') }} :</span>
                        <span id="fon">{{ company.company_Address }}</span>
                      </p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('date') }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('unit') }}</p>
                      <p class="text-center p-mg" id="fon">{{ serails.total }}</p>
                    </div>
                  </div>
                  <div class="my-2 justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th class="text-center" scope="col">{{ i18ntext.lngText('no') }}</th>
                          <th class="text-center" scope="col">{{ i18ntext.lngText('roomtypelogo') }}</th>
                          <th class="text-center" scoppe="col">{{ i18ntext.lngText('description') }}</th>
                          <!-- <th class="text-center" scope="col">{{ i18ntext.lngText('type') }}</th> -->
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(item, index) in serails" :key="index">
                          <td width="3%">{{ index + 1 }}</td>
                          <td width="12%">{{ item.roomtype }}</td>
                          <td width="12%">{{ item.description }}</td>
                          <!-- <td width="12%">{{ Serail.type }}</td> -->
                        </tr>
                      </tbody>
                    </table>
                  </div>

                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a v-print="'#purchaseorder'" class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText('print') }}</a>
        </div>
      </div>
    </div>
  </div>
  <!-- Excel -->
  <div class="modal fade ui-modal" id="excelCategory" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">
            <i class="fas fa-file-excel"></i>{{ i18ntext.lngText('Excel') }}
          </h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div id="purchaseorder">
          <div class="card">
            <div class="card-body">
              <div class="container mb-5 mt-3">
                <div class="container">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 v-if="excel == 'Import'" class="title-purchase">
                        {{ excel }} {{ exefile }} from Excel
                      </h3>
                      <h3 v-else class="title-purchase">{{ excel }} To Excel</h3>
                    </div>
                  </div>
                  <div class="row my-2 mx-1 justify-content-center table-padding-bot customsroll">
                    <table class="table table-striped table-borderless" id="exceldata">
                      <thead style="background-color: #84b0ca" class="text-white">
                        <tr>
                          <th scope="col">{{ i18ntext.lngText('no') }}</th>
                          <th scope="col">{{ i18ntext.lngText('unittype') }}</th>
                          <th scope="col">{{ i18ntext.lngText('description') }}</th>
                          <!-- <th scope="col">{{ i18ntext.lngText('type') }}</th> -->
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(unitExcel, index) in unitExcels" :key="index">
                          <th v-if="index > 0" style="width: 5%; color: black">
                            {{ index }}
                          </th>
                          <th v-if="index > 0" style="width: 5%; color: black">
                            {{ unitExcel.unit_code }}
                          </th>
                          <th v-if="index > 0" style="width: 5%; color: black">
                            {{ unitExcel.unit_of_measure }}
                          </th>
                          <th v-if="index > 0" style="width: 10%; color: black">
                            {{ unitExcel.type }}
                          </th>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div v-if="excel == 'Import'" @click="btnSaveExcel()" data-bs-dismiss="modal" aria-label="Close"
            class="btn-purchase btn-light text-capitalize">
            <input autocomplete="off" type="button" /><i class="fas fa-save"></i> {{ i18ntext.lngText('save-data') }}
          </div>
          <div v-if="excel == 'Import'" class="btn-purchase btn-light text-capitalize">
            <input autocomplete="off" type="file" /><i class="fas fa-file-excel"></i> {{ i18ntext.lngText('import-file')
            }}
          </div>
          <div @click="exportdataExcel()" v-if="excel == 'Export'" data-bs-dismiss="modal" aria-label="Close"
            class="btn-purchase btn-light text-capitalize">
            <input autocomplete="off" type="button" /><i class="fas fa-save"></i> {{ i18ntext.lngText('import-data') }}
          </div>
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo />
</template>
  
<script>
import UserInfo from "../UserInfo.vue"
import axios from "axios";
import pagination from "laravel-vue-pagination";
import Auth from "../../auth/Auth.js";
import moment from "moment";
import Logo from "../logo.vue";
import Header from "../Header.vue";
import Footer from "../footer.vue";
import print from "vue3-print-nb";
import readXlsxFile from "read-excel-file";
import * as XLSX from "xlsx-js-style";
import i18n from "../../i18n/i18n";
export default {
  components: { Header, pagination, Footer, Logo, UserInfo },
  directives: {
    print,
  },
  data() {
    return {
      i18ntext: i18n,
      unitExcels: [{}],
      exefile: "",
      checkexcel: [],
      excel: "Import",
      errors: "",
      loggedUser: {
        id: "",
        user_code: "",
        user_name: "",
        email: "",
        role: "",
        statue: "",
      },
      serails: [],
      company: [],
      formatdate: "",
      checkbt: "",
      perPage: "",
      currentPage: 0,
      last_page: 1,
      action_api: "",
      action_api_1: "",
      product: "",
      btncheckEdit: "Save",
      btnback: false,
      form: {
        id: "",
        roomtype: "",
        description: "",
        created_by: "",
        updated_by: "",
        created_at: "",
        updated_at: "",
      },
      btnSearch: "Search",
      search: {
        unit_code: "",
        unit_of_measure: "",
        type: "",
      },
      printData: [],
      stockcount: 0,
      count_expire: 0,
      number_page: 1,
      number: 1,
      
      getdata: [],
      btnsedelete: {},
      
    };
  },

  mounted() {
    this.loggedUser = Auth.user;
    if (Auth.check()) {
      if (!Auth.checkPermission('UNITTYPE_ALL')) {
        this.$router.push('/dashboard');
      }
    }
    if (this.$route.query.page != 1) {
      this.perPage = "/api/v1/roomtype/index";
      axios.get(this.perPage).then(({ data }) => {
        this.serails = data.data;
        console.log(this.serails);
      });
    } else {
      this.getSerail();
    }
    let myPagenumber = this.$route.query
    if (JSON.stringify(myPagenumber) === '{}') {
      this.number = 1
    }
    else {
      this.number = this.$route.query.page
    }

    this.getcompany();
    this.getstockalert()
    this.getExpireAlert()

    // this.getData();

  },
  watch: {},
  methods: {

    // getData(){
    //   axios.get('api/v1/roomtype/index',this.getdata)
    //     .then((res) => {

    //       this.getdata = res.data;
    //       console.log('this is data log')
    //       console.log(this.getdata)

    //     })
    // },

    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
    },
    async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },
    mySearch() {
      if (
        this.form.unit_code == "" &&
        this.form.unit_code == "" &&
        this.form.type == ""
      ) {
        this.getSerail();
      } else {
        axios.post("api/v1/units/searchUnit", this.form).then((res) => {
          this.serails = res.data;
        });
      }
    },

    getproduct007(text) {
      this.form.type = text;
      this.search = {
        unit_code: "",
        unit_of_measure: "",
        type: text,
      };
    },
    actionForm(a, b) {
      if (b == "name") {
        this.search = {
          unit_code: a,
          unit_of_measure: "",
          type: "",
        };
      }

      if (b == "dsc") {
        this.search = {
          unit_code: "",
          unit_of_measure: a,
          type: "",
        };
      }
    },
    btnSaveExcel() {
      var b = 0;
      this.unitExcels.forEach((el) => {
        if (b != 0) {
          axios.post("", el).then((data) => {
            this.getSerail();
          });
        }
        b++;
      });
    },
    excelUnit(event) {
      this.exefile = "";
      const xlsxfile = event.target.files ? event.target.files[0] : null;
      readXlsxFile(xlsxfile).then((rows) => {
        var x = 0;
        rows.forEach((element) => {
          if (x >= 0) {
            if (x == 0) {
              this.checkexcel = element;
            } else {
              if (
                this.checkexcel[0] == "unit_code" &&
                this.checkexcel[1] == "unit_of_measure" &&
                this.checkexcel[2] == "type"
              ) {
                this.unitExcels.push({
                  unit_code: element[0],
                  unit_of_measure: element[1],
                  type: element[2],
                });
              } else {
                this.exefile = " Fail Data";
              }
            }
          }
          x++;
        });
      });
      this.exefile = "";
    },
    getSerail(page = 1) {

      this.perPage = "/api/v1/roomtype/index";
      axios.get(this.perPage).then(({ data }) => {
        this.serails = data.data;
      });
    },
    btn_checkEdit(itemss) {
      this.form = itemss;
      this.btncheckEdit = "Update";
    },
    getcompany() {
      axios.get("/api/v1/getSetup/").then((response) => {
        this.company = response.data;
        this.dateformart = moment(new Date()).format("DD-MM-YYYY");
      });
    },
    btnClear() {
      this.form = {};
    },
    btnClose() {
      this.form = {};
    },
    btnAdd() {
      this.checkbt = "create";
      this.form = {};
      this.action_api = "api/v1/units/store";
    },

    
    btnSave() {
      this.form.created_by = this.loggedUser.user_code;
      console.log(this.form)
      axios.post("/api/v1/roomtype/createroomtype/", this.form).then((response) => {
        this.serails = response.data;
        this.dateformart = moment(new Date()).format("DD-MM-YYYY");
      });


    },
    btnSelect() {
      if (this.btncheckEdit == "Update") {
        this.btnUpdate();
      } else {
        this.btnSave();

      }
    },
    btnBack() {
      this.form = {};
      this.btncheckEdit = "Save";
      this.btnback = false;
      this.btnSearch = "Search";
    },
    btnEdit(serail) {
      console.log(serail);
      this.btncheckEdit = "Update";
      this.form = JSON.parse(JSON.stringify(serail));
      this.btnback = true;
      this.btnSearch = "Delete";
    },
    btnUpdate() {
      this.form.updated_by = this.loggedUser.user_code;
      axios.post("api/v1/roomtype/updateroomtype/" + this.form.id, this.form).then((res) => {
        this.getSerail();
        this.form = {};
        this.btncheckEdit = "Save";
        this.btnback = false;
      });
    },
    btnDelete() {
      this.form.inactived = 'Yes';
      this.form.updated_by = this.loggedUser.user_code;
      axios.post("/api/v1/units/update/" + this.form.code, this.form).then((res) => {
        this.getSerail();
        this.btnBack();
      });

    },
    DeletePro() {
      console.log(this.btnsedelete);
      axios.get("/api/v1/roomtype/deleteroomtype/" + this.btnsedelete.id).then((res) => {
        this.getSerail();
        this.btnBack();
      });
    },
    SeleteDelete(item) {
      this.btnsedelete = item;
    },
    btn_Search(item) {
      // console.log(this.form);
      axios.post("/api/v1/roomtype/searchroomtype/", this.form).then((res) => {
        this.serails = res.data;

      });
    },
    importSheet() {
      this.excel = "Import";
      this.unitExcels = [{}];
    },

    exportSheet() {
      this.excel = "Export";
      this.unitExcels = [{}];
      axios.get("api/v1/units/allUnite").then((res) => {
        res.data.forEach((x) => {
          this.unitExcels.push({
            unit_code: x.unit_code,
            unit_of_measure: x.unit_of_measure,
            type: x.type,
          });
        });
      });
    },
    exportdataExcel() {
      var invoices = this.unitExcels.reduce((y, x) => {
        if (x.unit_of_measure == null || x.unit_of_measure == "") {
          x.unit_of_measure = "Null";
        }
        y.push({
          UnitType: x.unit_code,
          Description: x.unit_of_measure,
          Type: x.type,
        });
        return y;
      }, []);
      var z = invoices.slice(1);
      var invoicesWS = XLSX.utils.json_to_sheet(z, { origin: "A10", raw: true });
      var wb = XLSX.utils.book_new();
      XLSX.utils.sheet_add_aoa(
        invoicesWS,
        [
          ["PRODUCTS"],
          ["COMPANY NAME"],
          ["NAME : Cambo Pharma"],
          ["PHONE NUMBER : (+855)12 381215"],
          ["EMAIL ADDRESS : Cambo.pharma@gmail.com"],
          ["ADDRESS : ត្រើយកោះ ស្រុកទឹកឈូ ខេត្តកំពត"],
          ["DATE"],
          [new Date()],
        ],
        { origin: "A1", display: false, dateNF: "DD-MM-YYYY", cellDates: false }
      );

      var wscols = [{ width: 20 }, { width: 20 }, { width: 20 }];
      invoicesWS["!cols"] = wscols;

      var merge = [
        { s: { c: 0, r: 0 }, e: { c: 11, r: 0 } },
        { s: { c: 0, r: 1 }, e: { c: 11, r: 1 } },
        { s: { c: 0, r: 2 }, e: { c: 11, r: 2 } },
        { s: { c: 0, r: 3 }, e: { c: 11, r: 3 } },
        { s: { c: 0, r: 4 }, e: { c: 11, r: 4 } },
        { s: { c: 0, r: 5 }, e: { c: 11, r: 5 } },
        { s: { c: 0, r: 6 }, e: { c: 11, r: 6 } },
        { s: { c: 0, r: 7 }, e: { c: 11, r: 7 } },
        { s: { c: 0, r: 8 }, e: { c: 11, r: 8 } },
      ];
      invoicesWS["!merges"] = merge;
      XLSX.utils.book_append_sheet(wb, invoicesWS, "UnitType");
      var x = wb.Sheets.UnitType;
      for (var row in x) {
        const style = x[row];
        try {
          style.s = {
            alignment: { horizontal: "right", vertical: "right", wrapText: true },
            border: {
              top: { style: "thin" },
              right: { style: "thin" },
              bottom: { style: "thin" },
              left: { style: "thin" },
            },
          };
        } catch (error) { }
      }
      x["A1"].s = {
        font: {
          name: "Segoe UI Variable Display Semib",
          sz: 16,
          bold: true,
          color: { rgb: "326c7a" },
        },
        alignment: { horizontal: "center", vertical: "center" },
      };
      x["A2"].s = {
        font: { name: "Segoe UI Variable Display Semib", sz: 16, bold: true },
        fill: { fgColor: { rgb: "8DD5E8" } },
        alignment: { horizontal: "center", vertical: "center" },
      };
      x["A7"].s = {
        font: { sz: 12, bold: true },
        alignment: {
          name: "Bahnschrift SemiLight SemiConde",
          horizontal: "center",
          vertical: "center",
        },
        fill: { fgColor: { rgb: "8DD5E8" } },
      };
      const sheet = ["A3", "A4", "A5", "A6", "A8"];
      for (var sheets of sheet) {
        x[sheets].s = {
          font: { name: "Bahnschrift SemiLight SemiConde", sz: 12 },
          fill: { fgColor: { rgb: "ffffff" } },
          alignment: { horizontal: "center", vertical: "center" },
        };
      }
      const colName = ["A10", "B10", "C10"];
      for (var itm of colName) {
        x[itm].s = {
          font: { name: "Bahnschrift SemiLight SemiConde", sz: 12, bold: true },
          fill: { fgColor: { rgb: "8DD5E8" } },
          border: {
            top: { style: "thin" },
            right: { style: "thin" },
            bottom: { style: "thin" },
            left: { style: "thin" },
          },
        };
      }
      XLSX.writeFile(wb, "UnitType.xlsx");
    },
    BackToHistory() {
      history.back()
    }
  },
};
</script>
  